# Method: productdeliverytime.get

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/productdeliverytime/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/productdeliverytime/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/productdeliverytime/get#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/productdeliverytime/get#body.response_body)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/productdeliverytime/get#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/productdeliverytime/get#try-it)

Gets `productDeliveryTime` by `productId`.

### HTTP request

`GET https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/productdeliverytime/{productId}`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The Google merchant ID of the account that contains the product. This account cannot be a multi-client account. |
| `productId` | `string` Required. The Content API ID of the product, in the form `channel:contentLanguage:targetCountry:offerId`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/productdeliverytime#ProductDeliveryTime`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).